Closed Bug 954816 Opened 8 years ago Closed 8 years ago

[JS-XMPP] Send the user's vCard

Categories

(Chat Core :: XMPP, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: florian, Assigned: florian)

References

()

Details

(Whiteboard: [1.2-blocking][regression])

Attachments

(1 file)

*** Original post on bio 1381 at 2012-04-16 15:29:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
Attached patch PatchSplinter Review
*** Original post on bio 1381 as attmnt 1362 at 2012-04-16 15:29:00 UTC ***

To send the user's display name and avatar.

The attached WIP doesn't work, and I don't know why.
Gtalk's servers reply:
<error xmlns="jabber:client" code="500" type="wait">
  <internal-server-error xmlns="urn:ietf:params:xml:ns:xmpp-stanzas"/>
 </error>
*** Original post on bio 1381 at 2012-06-15 13:34:27 UTC ***

Blocking 1.2, as that's a quite visible regression for Gtalk.
Whiteboard: [1.2-blocking][regression]
*** Original post on bio 1381 at 2012-06-15 14:15:49 UTC ***

I tried this patch again today, and now the Gmail server's answer is:
<iq xmlns="jabber:client" to="instantbird@gmail.com/Instantbir95B658AD" id="17" type="result"/>
Comment on attachment 8353115 [details] [diff] [review]
Patch

*** Original change on bio 1381 attmnt 1362 at 2012-06-15 17:05:30 UTC ***

This patch now works ok, I'll have to assume the issue I was mentioning in comment 0 was just a server issue...
Attachment #8353115 - Attachment description: WIP → Patch
Attachment #8353115 - Flags: review?(clokep)
Comment on attachment 8353115 [details] [diff] [review]
Patch

*** Original change on bio 1381 attmnt 1362 at 2012-06-15 21:15:51 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353115 - Flags: review?(clokep) → review+
*** Original post on bio 1381 at 2012-06-16 04:40:00 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/08d59a0fef5f
Assignee: nobody → florian
Status: NEW → RESOLVED
Closed: 8 years ago
OS: Other → All
Hardware: x86 → All
Resolution: --- → FIXED
Target Milestone: --- → 1.2
Depends on: 954988
You need to log in before you can comment on or make changes to this bug.